## ros-humble-ros-gz-sim-demos 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_gz_sim_demos)

find_package(ament_cmake REQUIRED)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

install(
  DIRECTORY
    launch/
  DESTINATION share/${PROJECT_NAME}/launch
)

install(
  DIRECTORY
    rviz/
  DESTINATION share/${PROJECT_NAME}/rviz
)

install(
  DIRECTORY
    models/
  DESTINATION share/${PROJECT_NAME}/models
)

install(
  DIRECTORY
    worlds/
  DESTINATION share/${PROJECT_NAME}/worlds
)

ament_environment_hooks("${CMAKE_CURRENT_SOURCE_DIR}/hooks/${PROJECT_NAME}.dsv.in")

ament_package()

=== debian/changelog ===
ros-humble-ros-gz-sim-demos (0.244.11-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.10-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.9-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.8-1jammy) jammy; urgency=high

  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>) (#320 <https://github.com/gazebosim/ros_gz/issues/320>)
  * Contributors: Alejandro Hernández Cordero

 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.7-1jammy) jammy; urgency=high

  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.6-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.5-1jammy) jammy; urgency=high

  * sdformat_urdf parser demo (#265 <https://github.com/gazebosim/ros_gz/issues/265>)
    * parser compatible model and launch framework
    * added ground plane, common gz plugins, demo commands and cleaned install paths
    * unique collision names and cleared flake
    * updating model config
    * building parser from source
    * fix flake and update deb dependency for garden
    * Move packages and files to gz
    * feedback and ign->gz
    * Support ros_ign migration
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
    * renaming and flake
    * added ros commands
    * gz-version
    * feedback and ci trial
    * removing garden condition
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: Dharini Dutia, methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.3-1jammy) jammy; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Joint state publisher and tf bridging demo (#244 <https://github.com/gazebosim/ros_gz/issues/244>)
    * Added joint state publisher and tf bridge demo
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 19 May 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.2-1jammy) jammy; urgency=high

  * Camera trigger demo (#223 <https://github.com/gazebosim/ros_gz/issues/223>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Joint states tutorial (#156 <https://github.com/gazebosim/ros_gz/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.
  * Contributors: Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Mon, 25 Apr 2022 05:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.1-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 06:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.0-1jammy) jammy; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * Enable QoS overrides (#181 <https://github.com/gazebosim/ros_gz/issues/181>)
  * Contributors: Guillaume Doisy, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-humble-ros-gz-sim-demos (0.233.2-1jammy) jammy; urgency=high

  * [ros2] Add exec depend on xacro for demos (#170 <https://github.com/gazebosim/ros_gz/issues/170>)
  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Joint states tutorial (#156 <https://github.com/gazebosim/ros_gz/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.


=== debian/control ===
Source: ros-humble-ros-gz-sim-demos
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-sim-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo6-dev, ros-humble-image-transport-plugins, ros-humble-robot-state-publisher, ros-humble-ros-gz-bridge, ros-humble-ros-gz-image, ros-humble-ros-gz-sim, ros-humble-rqt-image-view, ros-humble-rqt-plot, ros-humble-rqt-topic, ros-humble-rviz2, ros-humble-sdformat-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: Demos using Gazebo Sim simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim-demos//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-gz-sim-demos 0.244.14

=== debian/changelog ===
ros-humble-ros-gz-sim-demos (0.244.14-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.13-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.12-1bookworm) bookworm; urgency=high

  * [backport Humble] Added more topic to the bridge (#422 <https://github.com/gazebosim/ros_gz/issues/422>)
  * Added more topic to the bridge (#422 <https://github.com/gazebosim/ros_gz/issues/422>)
  * Fix incorrect subscription on demo (#405 <https://github.com/gazebosim/ros_gz/issues/405>)
  * Contributors: Alejandro Hernández Cordero, Arjo Chakravarty

 -- Louise Poubel <louise@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.11-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.10-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.9-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.8-1bookworm) bookworm; urgency=high

  * Fixed ros_gz_sim_demos launch files (#319 <https://github.com/gazebosim/ros_gz/issues/319>) (#320 <https://github.com/gazebosim/ros_gz/issues/320>)
  * Contributors: Alejandro Hernández Cordero

 -- Louise Poubel <louise@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.7-1bookworm) bookworm; urgency=high

  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.6-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.5-1bookworm) bookworm; urgency=high

  * sdformat_urdf parser demo (#265 <https://github.com/gazebosim/ros_gz/issues/265>)
    * parser compatible model and launch framework
    * added ground plane, common gz plugins, demo commands and cleaned install paths
    * unique collision names and cleared flake
    * updating model config
    * building parser from source
    * fix flake and update deb dependency for garden
    * Move packages and files to gz
    * feedback and ign->gz
    * Support ros_ign migration
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
    * renaming and flake
    * added ros commands
    * gz-version
    * feedback and ci trial
    * removing garden condition
    Co-authored-by: Michael Carroll <mailto:michael@openrobotics.org>
    Co-authored-by: methylDragon <mailto:methylDragon@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: Dharini Dutia, methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Joint state publisher and tf bridging demo (#244 <https://github.com/gazebosim/ros_gz/issues/244>)
    * Added joint state publisher and tf bridge demo
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.2-1bookworm) bookworm; urgency=high

  * Camera trigger demo (#223 <https://github.com/gazebosim/ros_gz/issues/223>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Joint states tutorial (#156 <https://github.com/gazebosim/ros_gz/issues/156>)
    Adds an rrbot model to demos and shows the usage of joint_states plugin.
  * Contributors: Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Sun, 24 Apr 2022 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.1-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 03 Jan 2022 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim-demos//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim-demos//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-gz-sim-demos//opt/ros/humble/opt/ros_gz_sim_demos/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-ros-gz-sim-demos 0.244.16

=== debian/changelog ===
ros-humble-ros-gz-sim-demos (0.244.16-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-sim-demos (0.244.15-1bookworm) bookworm; urgency=high

  * [backport Humble] Create bridge for GPSFix msg (#316 <https://github.com/gazebosim/ros_gz//issues/316>) (#538 <https://github.com/gazebosim/ros_gz//issues/538>)
    Co-authored-by: Rousseau Vincent <mailto:vincentrou@gmail.com>
  * Contributors: Alejandro Hernández Cordero

 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ros-gz-sim-demos
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-sim-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-gazebo-dev, ros-humble-image-transport-plugins, ros-humble-robot-state-publisher, ros-humble-ros-gz-bridge, ros-humble-ros-gz-image, ros-humble-ros-gz-sim, ros-humble-rqt-image-view, ros-humble-rqt-plot, ros-humble-rqt-topic, ros-humble-rviz2, ros-humble-sdformat-urdf, ros-humble-xacro, ros-humble-ros-workspace
Description: Demos using Gazebo Sim simulation with ROS.
